- Main Page
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# OSnLNodeE Class Reference

The OSnLNodeE Class. More...

`#include <OSnLNode.h>`

Inheritance diagram for OSnLNodeE:

[legend]
Collaboration diagram for OSnLNodeE:

[legend]
List of all members.

## Public Member Functions
| OSnLNodeE ()
| default constructor.
| ~OSnLNodeE ()
| default destructor.
virtual std::string | getTokenNumber ()
virtual std::string | getTokenName ()
virtual std::string | getNonlinearExpressionInXML ()
virtual double | calculateFunction (double *x)
virtual OSnLNode * | cloneOSnLNode ()
virtual double | constructADTape (std::map< int, int > *ADIdx, std::vector< double > *XAD)

## Detailed Description

The OSnLNodeE Class.

Author:
  Robert Fourer, Jun Ma, Kipp Martin,

Version:
  1.0, 10/05/2005

Since:
  OS1.0

Remarks:
  The in-memory representation of the OSnL element <E>

Definition at line 1346 of file OSnLNode.h.

## Constructor & Destructor Documentation

OSnLNodeE::OSnLNodeE | ( |  | ) |

default constructor.

Definition at line 1614 of file OSnLNode.cpp.

References OSnLNode::inodeInt, OSnLNode::inodeType, and OSnLNode::m_mChildren.

Referenced by cloneOSnLNode().

OSnLNodeE::~OSnLNodeE | ( |  | ) |

default destructor.

Definition at line 1626 of file OSnLNode.cpp.

References OSnLNode::m_mChildren.

## Member Function Documentation

std::string OSnLNodeE::getTokenNumber | ( |  | ) | `[virtual]`

Returns:
  a string token that corresponds to the OSnLNode.

Reimplemented from OSnLNode.

Definition at line 1635 of file OSnLNode.cpp.

References OSnLNode::inodeInt.

std::string OSnLNodeE::getTokenName | ( |  | ) | `[virtual]`

Returns:
  a string token that corresponds to the OSnLNode.

Implements OSnLNode.

Definition at line 1642 of file OSnLNode.cpp.

std::string OSnLNodeE::getNonlinearExpressionInXML | ( |  | ) | `[virtual]`

Returns:
  the OSiL XML for the number node.

Reimplemented from OSnLNode.

Definition at line 1649 of file OSnLNode.cpp.

double OSnLNodeE::calculateFunction | ( | double * | x | ) | `[virtual]`

Calculate the function value given the current variable values. This is an abstract method which is required to be implemented by the concrete operator nodes that derive or extend from this OSnLNode class.

Parameters:

  | x | holds the values of the variables in a double array.

Returns:
  the function value given the current variable values.

Implements OSnLNode.

Definition at line 1658 of file OSnLNode.cpp.

References OSnLNode::m_dFunctionValue, and OS_E_VALUE.

OSnLNode * OSnLNodeE::cloneOSnLNode | ( |  | ) | `[virtual]`

Create or clone a node of this type. This is an abstract method which is required to be implemented by the concrete operator nodes that derive or extend from this OSnLNode class.

Parameters:

  | x | holds the values of the variables in a double array.

Returns:
  the function value given the current variable values.

Implements OSnLNode.

Definition at line 1668 of file OSnLNode.cpp.

References OSnLNodeE().

virtual double OSnLNodeE::constructADTape | ( | std::map< int, int > * | ADIdx,
|  | std::vector< double > * | XAD |
| ) |  |  | `[virtual]`

Create the AD tape to be evaluated by AD. This is an abstract method which is required to be implemented by the concrete operator nodes that derive or extend from this OSnLNode class.

Returns:
  the expression tree.

Implements OSnLNode.

The documentation for this class was generated from the following files:

- /home/coin/SVN-release/OS-2.3.5/OS/src/OSCommonInterfaces/OSnLNode.h
- /home/coin/SVN-release/OS-2.3.5/OS/src/OSCommonInterfaces/OSnLNode.cpp